/*  mortality.c
 *   Copyright (C) 2001 Paul Moorcroft, G.C. Hurtt and S.W. Pacala
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#include "ed.h"
/**************************************************************************/
float mortality_rates(struct cohort **pcurrentc, UserData data){

  float dmort;
  struct cohort *cc;
  cc = *pcurrentc;
  
  dmort= data->m1*(data->rho_max - data->rho[cc->pft]);

  if(cc->hite < data->treefall_hite_threshold){  
    dmort += data->treefall_disturbance_rate; 
  } 
  dmort+= data->m2/(1.0 + exp(data->m3*cc->cbr[data->time_period]));

  return dmort;
}
/**************************************************************************/














